<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Controller extends Controller {
    function MY_Controller()
    {
        parent::Controller();
        
        $this->load->helper('url');
        
        // 共通の処理をここに書く
        // ...
        
        // DBをチェックし、エラーならばインストーラに飛ばす
        if ($this->db->table_exists('system') == false)
        {
            redirect('install/index');
        }
        
        // ホテル情報をロードする。
        
        $base_url = base_url();
        $current_url = current_url();
        //log_message('debug', 'base_url=' . $base_url);
        //log_message('debug', 'current_url=' . $current_url);
        
        $url = substr($current_url, strlen($base_url));
        //log_message('debug', 'url=' . $url);
        $a = explode('/', $url);
        $hotelid = $a[2];
        //log_message('debug', 'hotelid=' . $hotelid);
        
        $this->db->where('hotelid', $hotelid);
        $query = $this->db->get('hotels', 1);
        if ($query->num_rows() > 0)
        {
            $data['hotel'] = $query->row_array();
            $this->load->vars($data);
        }
        
        $this->load->library('phpsession');
        
        $member = $this->phpsession->get('member');
        if ($member != null)
        {
            $box['loginbox'][0] = '<a href="' . site_url('my/index/' . $hotelid) . '">マイページ</a>';
            $box['loginbox'][1] = '<a href="' . site_url('members/logout/' . $hotelid) . '">ログアウト</a>';
        }
        else
        {
            $box['loginbox'][0] = '<a href="' . site_url('members/login/' . $hotelid) . '">ログイン</a>';
            $box['loginbox'][1] = '<a href="' . site_url('members/register/' . $hotelid) . '">ユーザ登録</a>';
        }
        $this->load->vars($box);
    }
}
?>